MAXScript Language Reference > 3ds Max Objects > Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper > Modifier and SpacewarpModifier Types > Modifiers > Selection Modifiers >

# Mesh_Select : Modifier

    Mesh_Select - superclass: modifier; super-superclass:MAXWrapper - classID: #(1943601043, 0)

Value > MAXWrapper > Modifier > Mesh_Select

| Modifier Classes - Quick Navigation

Constructor

    mesh_select ... MeshSelect ...

Properties

### Mesh Select Parameters Rollout

    <Mesh_Select>.byVertex BooleanClass default:false alias: By_Vertex

Get/Set the state of the By Vertex option.

When set to true, selecting a vertex in Face, Polygon or Element mode will select all faces, polygons or elements sharing that vertex.

    <Mesh_Select>.ignoreBackfacing BooleanClass default:false alias: Ignore_Backfacing

Get/Set the state of the Ignore Backgfaces option.

When set to true, only faces with normals facing the viewer can be selected.

    <Mesh_Select>.ignoreVisibleEdges BooleanClass default:false alias: Ignore_Visible_Edges

Get/Set the state of the Ignore Visible Edges option.

When set to true, selecting a face will also select all connected faces whose normals are within the specified planar threshold.

    <Mesh_Select>.planarThreshold Angle default: alias: Threshold

Get/Set the Planar Thresh. value.

It specifies the angle threshold used by the Ignore Visible Edges option.

    <Mesh_Select>.materialID integer default:1 alias: Material_ID

Get/Set the Material ID value in the "Select by Material ID" group of controls.

### Soft Selection Rollout

    <Mesh_Select>.useSoftSelection BooleanClass default:false alias: Use_Soft_Selection

Get/Set the state of the Use Soft Selection option.

When set to true, the soft selection will be enabled.

    <Mesh_Select>.softselUseEdgeDistance BooleanClass default:false alias: Use_Soft_Selection

Get/Set the state of the Edge Distance option.

When set to true, the Edge Distance value will be used.

    <Mesh_Select>.softselEdgeDist Integer default:1 -- animatable; alias: Edge_Distance

Get/Set the Edge Distance value.

When .softselUseEdgeDistance is set to true, it specifies the number of edges to include in the soft selection.

    <Mesh_Select>.softselAffectBackfacing BooleanClass default:true alias: Affect_Backfacing

Get/Set the state of the Affect Backfacing option.

When set to true, the Vertices belonging to back-facing faces will also be affected if within the Soft Selection Falloff range.

    <Mesh_Select>.softselFalloff world units default:20.0 -- animatable; alias: Falloff_type

Get/Set the Falloff value.

It specifies the falloff range until the soft selection reaches an influence of 0.

    <Mesh_Select>.softselPinch Float default:0.0 -- animatable; alias: Pinch

Get/Set the Pinch value.

    <Mesh_Select>.softselBubble Float default:0.0 -- animatable; alias: Bubble

Get/Set the Bubble value.

See the getVertSelection() , getFaceSelection() , and getEdgeSelection() functions in Editable_Mesh for information about accessing the current selections in the Mesh_Select modifier.

#### See Also

- Modifier Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods